## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLCodeScanner.SQLWhiteSpaceDetector

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLCodeScanner.SQLWhiteSpaceDetector

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IWhitespaceDetector

Enclosing class:
  SQLCodeScanner

    public class SQLCodeScanner.SQLWhiteSpaceDetector

extends java.lang.Object
implements org.eclipse.jface.text.rules.IWhitespaceDetector

This class determines if a character is a whitespace character.

Constructor Summary
`SQLCodeScanner.SQLWhiteSpaceDetector()`

Method Summary
`boolean` `isWhitespace(char c)` Determines if the given character is a whitespace character.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLCodeScanner.SQLWhiteSpaceDetector

    public SQLCodeScanner.SQLWhiteSpaceDetector()

Method Detail

### isWhitespace

    public boolean isWhitespace(char c)

  Determines if the given character is a whitespace character.

  Specified by:
    `isWhitespace` in interface `org.eclipse.jface.text.rules.IWhitespaceDetector`
  See Also:
    `IWhitespaceDetector.isWhitespace(char)`